'------------------------------------------------------------------------------
' <auto-generated>
'     このコードはテンプレートから生成されました。
'
'     このファイルを手動で変更すると、アプリケーションで予期しない動作が発生する可能性があります。
'     このファイルに対する手動の変更は、コードが再生成されると上書きされます。
' </auto-generated>
'------------------------------------------------------------------------------

Imports System
Imports System.Collections.Generic

Partial Public Class Teacher
    Public Property TeacherId As Integer
    Public Property TeacherName As String
    Public Property StandardId As Nullable(Of Integer)
    Public Property TeacherType As Nullable(Of Integer)

    Public Overridable Property Courses As ICollection(Of Course) = New HashSet(Of Course)
    Public Overridable Property Standard As Standard

End Class
